//
//  Card.swift
//  pomo
//
//  Created by Nick Liu on 2024/1/20.
//

import Foundation

// MARK: - Card

struct Card: Identifiable, Hashable {
  var id: Int
  var title: String
  var imageString: String
  var rewards: [Reward]
}

// MARK: - Reward

struct Reward: Identifiable, Hashable {
  var id: Int
  var title: String
  var description: String
  var imageString: String
}

extension Card {
  static let mock = Card(id: 0, title: "醫翠絲", imageString: "Japan1", rewards: .mock)
}

extension [Card] {

  static let mock =
    [
      Card(id: 0, title: "醫翠絲", imageString: "Japan1", rewards: .mock),
      Card(id: 1, title: "醫翠絲", imageString: "Japan2", rewards: .mock),
      Card(id: 2, title: "醫翠絲", imageString: "Japan3", rewards: .mock),
      Card(id: 3, title: "醫翠絲", imageString: "Japan4", rewards: .mock),
      Card(id: 4, title: "醫翠絲", imageString: "Japan5", rewards: .mock),
      Card(id: 5, title: "醫翠絲", imageString: "Japan6", rewards: .mock),
    ]

}

extension [Reward] {

  static let mock =
    [
      Reward(id: 0, title: "Tier4 會員禮", description: "醫美診所預約券 * 1張", imageString: "Ticket"),
      Reward(id: 1, title: "Tier4 會員禮", description: "醫美診所預約券 * 1張", imageString: "Ticket"),
      Reward(id: 2, title: "Tier4 會員禮", description: "醫美診所預約券 * 1張", imageString: "Ticket"),
      Reward(id: 3, title: "Tier4 會員禮", description: "醫美診所預約券 * 1張", imageString: "Ticket"),
    ]
}
