//
//  CardThumbnail.swift
//  pomo
//
//  Created by Nick Liu on 2024/1/31.
//

import SwiftUI

struct CardThumbnail: View {

  var memberCard: Card

  var body: some View {
    HStack {
      Image(memberCard.imageString)
        .resizable()
        .aspectRatio(contentMode: .fill)
        .frame(width: .ideal(69), height: .ideal(96))
        .clipShape(RoundedRectangle(cornerRadius: 15))

      Spacer()
    }
    .padding(.horizontal)
    .padding(.top)
  }
}

#Preview {
  CardThumbnail(memberCard: .mock)
}
