//
//  RewardView.swift
//  pomo
//
//  Created by Nick Liu on 2024/1/25.
//

import SwiftUI

struct RewardView: View {

  var reward: Reward

  var body: some View {
    RoundedRectangle(cornerRadius: 20)
      .inset(by: 0.5)
      .stroke(.gray, style: StrokeStyle(lineWidth: 1, dash: [2, 2]))
      .frame(width: .ideal(160), height: .ideal(160))
      .overlay {
        VStack(alignment: .leading, spacing: 0) {
          Image(reward.imageString)
            .resizable()
            .frame(width: .ideal(68), height: .ideal(50))
            .padding(.bottom, 34)
          Text(reward.description)
            .font(.notosans(size: 12))
            .foregroundStyle(.secondary)
            .padding(.bottom, 4)
          Text(reward.title)
            .fontWeight(.bold)
            .font(.notosans(size: 14))
        }
        .offset(x: -15)
        .frame(width: .ideal(160), height: .ideal(160))
      }
  }
}

#Preview {
  RewardView(reward: Reward(id: 0, title: "Tier4 會員禮", description: "醫美診所預約券 * 1張", imageString: "Ticket"))
}
