//
//  SearchBar.swift
//  pomo
//
//  Created by Nick Liu on 2024/1/31.
//

import SwiftUI

struct SearchBar: View {

  @Binding var searchText: String

  var body: some View {
    HStack(spacing: 0) {
      Image(systemName: "magnifyingglass")
        .foregroundStyle(Color(hex: "#B3B3B3"))
        .frame(width: .ideal(42), height: .ideal(42))

      TextField("搜尋", text: $searchText)
        .foregroundStyle(Color(hex: "#B3B3B3"))
    }
    .frame(width: .ideal(335), height: .ideal(42))
    .background(RoundedRectangle(cornerRadius: 21).foregroundColor(Color(hex: "#F5F5F5")))
  }
}

#Preview {
  SearchBar(searchText: .constant("搜尋"))
}
