//
//  Extension + Color.swift
//  pomo
//
//  Created by Nick Liu on 2024/1/30.
//

import SwiftUI

extension Color {

  static let lightGray = Color(red: 239 / 255, green: 239 / 255, blue: 239 / 255)

  static let midGray = Color(red: 217 / 255, green: 217 / 255, blue: 217 / 255)

}

extension Color {
  init(hex: String) {
    var hexValue = hex.trimmingCharacters(in: CharacterSet.whitespacesAndNewlines).uppercased()

    if hexValue.hasPrefix("#") {
      hexValue.remove(at: hexValue.startIndex)
    }

    var rgbValue: UInt64 = 0
    Scanner(string: hexValue).scanHexInt64(&rgbValue)

    let red = CGFloat((rgbValue & 0xFF0000) >> 16) / 255.0
    let green = CGFloat((rgbValue & 0x00FF00) >> 8) / 255.0
    let blue = CGFloat(rgbValue & 0x0000FF) / 255.0

    self.init(red: red, green: green, blue: blue)
  }
}
