//
//  Extension + Logger.swift
//  pomo
//
//  Created by Nick Liu on 2024/1/31.
//

import OSLog

extension Logger {

  // MARK: Internal

  /// Logs the view cycles like a view that appeared.
  static let viewCycle = Logger(subsystem: subsystem, category: "viewcycle")

  /// All logs related to tracking and analytics.
  static let statistics = Logger(subsystem: subsystem, category: "statistics")

  // MARK: Private

  /// Using your bundle identifier is a great way to ensure a unique identifier.
  private static let subsystem = Bundle.main.bundleIdentifier!

}

let console = Logger.viewCycle
