//
//  SettingDetailModel.swift
//  pomo
//
//  Created by Nick Liu on 2024/2/17.
//

import SwiftUI
import SwiftUINavigation

class SettingDetailModel: ObservableObject {

  // MARK: Lifecycle

  init(destination: Destination? = nil, memberCards: [Card] = .mock, user: User = .initial) {
    self.destination = destination
    self.memberCards = memberCards
    self.user = user
  }

  // MARK: Internal

  enum Destination { }

  @Published var destination: Destination?

  @Published var memberCards: [Card]

  var user: User

  func listTapped(title: String) {
    switch title {
    case "帳號設定":
      break
    default:
      break
    }
  }

}
